/*
 * deviced
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __DISPLAY_INFO_H__
#define __DISPLAY_INFO_H__

#define DISPLAY_FUNC(a, b)	(((a) << 16) | (b))
#define ENHANCE_CMD(x)	DISPLAY_FUNC('E', (x))
#define HBM_CMD(x)		DISPLAY_FUNC('H', (x))
#define LBM_CMD(x)		DISPLAY_FUNC('L', (x))

enum hbm_state {
	HBM_SET_STATE = HBM_CMD(1),
	HBM_GET_STATE,
	HBM_TURN_ON,
	HBM_TURN_OFF,
	HBM_SET_TIMEOUT_STATE,
	HBM_TURN_OFF_STATE,
};

enum lbm_state {
	LBM_TABLE_LOAD = LBM_CMD(1),
};

enum enhance_state {
	RESTORE_ENHANCE_OUTDOOR = ENHANCE_CMD(1),
};

struct hbmsetstate {
	int hbm;
	int timeout;
};

#endif
