/*
 * deviced
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __TEST_DBUS_INTERFACE_H__
#define __TEST_DBUS_INTERFACE_H__

#include <libsyscommon/dbus-system.h>

// headers
gint test_deviced_Tzip_IsMounted(const gchar *param1);
gint test_deviced_Tzip_UnmountSync(const gchar *param1);
gint test_deviced_Tzip_MountSync(const gchar *param1, const gchar *param2, const gchar *param3);
gint test_deviced_Tzip_Unmount(const gchar *param1);
gint test_deviced_Tzip_Mount(const gchar *param1, const gchar *param2, const gchar *param3);
gint test_deviced_ExtCon_disable(const gchar *param1);
gint test_deviced_ExtCon_enable(const gchar *param1);
gint test_deviced_ExtCon_GetStatus(const gchar *param1);
void test_deviced_UsbHostTest_stop(void);
void test_deviced_UsbHostTest_start(void);
gint test_deviced_lowpower_GetState(void);
gint test_deviced_lowpower_Stop(void);
gint test_deviced_lowpower_Start(void);
gint test_deviced_ir_TransmitIR(gint param2);
gint test_deviced_ir_IRIsAvailable(void);
gint test_deviced_PowerOff_RemovePowerOffWait(void);
gint test_deviced_PowerOff_AddPowerOffWait(void);
gint test_deviced_PowerOff_PowerOffWithOption(const gchar *param1, const gchar *param2);
gint test_deviced_PowerOff_PowerOff(const gchar *param1);
gint test_deviced_Battery_MiscEvent(void);
GVariant * test_deviced_Battery_BatteryProperties(void);
gint test_deviced_Battery_ChargerCharging(gint param1);
gint test_deviced_Battery_ChargerType(void);
GVariant * test_deviced_Battery_GetBatteryInfo(void);
gint test_deviced_Battery_power_supply(const gchar *param1, gint param2, const gchar *param3, const gchar *param4, const gchar *param5, const gchar *param6, const gchar *param7, const gchar *param8);
gchar * test_deviced_Battery_GetHealth(void);
gint test_deviced_Battery_IsFull(void);
gint test_deviced_Battery_GetPercentRaw(void);
gint test_deviced_Battery_GetPercent(void);
gint test_deviced_Battery_BatteryStatusLow(void);
gint test_deviced_Battery_ChargeNow(void);
gint test_deviced_Battery_ChargerStatus(void);
gint test_deviced_Battery_GetLowbatLevel(void);
gint test_deviced_Battery_SetLowbatLevel(gint param1);
gint test_deviced_Battery_TimeToEmpty(void);
gint test_deviced_Battery_TimeToFull(void);
gint test_deviced_temperature_GetTemperature(gint param1);
GVariant * test_deviced_BatteryMonitor_GetBMData(void);
void test_deviced_core_DeviceList(void);
GVariant * test_deviced_Usbhost_OpenDevice(const gchar *param1);
gint test_deviced_Usbhost_GetDeviceListCount(gint param1);
GVariant * test_deviced_Usbhost_GetDeviceList(gint param1);
void test_deviced_Usbhost_PrintPolicy(void);
void test_deviced_Usbhost_PrintDeviceList(void);
guint test_deviced_Usb_GetMode(void);
guint test_deviced_Usb_GetState(void);
gint test_deviced_SysNoti_GetHDMI(void);
gint test_deviced_SysNoti_GetCradle(void);
gint test_deviced_SysNoti_set_timezone(const gchar *param1, gint param2, const gchar *param3);
gint test_deviced_SysNoti_set_datetime(const gchar *param1, gint param2, const gchar *param3);
gint test_deviced_SysNoti_GetRevision(void);
gint test_deviced_SysNoti_udev(const gchar *param1, gint param2, const gchar *param3);
gint test_deviced_SysNoti_EventStop(void);
gint test_deviced_SysNoti_EventStart(void);
gint test_deviced_SysNoti_getcontrol(const gchar *param1, gint param2, const gchar *param3, const gchar *param4);
gint test_deviced_SysNoti_control(const gchar *param1, gint param2, const gchar *param3, const gchar *param4, const gchar *param5);
gint test_deviced_Led_SetIrCommand(const gchar *param1);
gint test_deviced_Led_SetBrightness(gint param1, gint param2);
gint test_deviced_Led_GetMaxBrightness(void);
gint test_deviced_Led_GetBrightness(void);
gint test_deviced_Led_GetBrightnessForCamera(void);
gint test_deviced_display_LockTimeoutInput(const gchar *param1, gint param2);
gint test_deviced_display_LockTimeoutExpired(const gchar *param1);
gint test_deviced_display_CurrentBrightness(gint param1);
gint test_deviced_display_CustomBrightness(void);
gint test_deviced_display_ActorControl(const gchar *param1, gint param2, gint param3);
gint test_deviced_display_LCDPanelOffMode(gint param1);
gint test_deviced_display_StayTouchScreenOff(gint param1);
gint test_deviced_display_PlatformLCDControl(gint param1, const gchar *param2, gint param3);
gint test_deviced_display_CustomLCDOff(const gchar *param1);
gint test_deviced_display_CustomLCDOn(gint param1);
gint test_deviced_display_PowerKeyLCDOff(void);
gint test_deviced_display_PowerKeyIgnore(gint param1);
void test_deviced_display_SaveLog(void);
gint test_deviced_display_Dumpmode(const gchar *param1);
gint test_deviced_display_SetRefreshRate(gint param1, gint param2);
gint test_deviced_display_ReleaseBrightness(void);
gint test_deviced_display_HoldBrightness(gint param1);
gint test_deviced_display_SetBrightness(gint param1, gint param2);
gint test_deviced_display_GetBrightness(gint param1);
gint test_deviced_display_SetMaxBrightness(gint param1);
gint test_deviced_display_GetMaxBrightness(gint param1);
gint test_deviced_display_GetDisplayCount(void);
gint test_deviced_display_LockScreenBgOn(const gchar *param1);
gint test_deviced_display_setlcdtimeout(gint param1, gint param2, gint param3);
gint test_deviced_display_setautobrightnessmin(gint param1);
gint test_deviced_display_setframerate(gint param1, gint param2);
gint test_deviced_display_setbrightness(gint param1, gint param2);
gint test_deviced_display_getbrightness(gint param1);
gint test_deviced_display_ChangeState(const gchar *param1);
gint test_deviced_display_changestate(const gchar *param1);
gint test_deviced_display_unlockstate(const gchar *param1, const gchar *param2);
gint test_deviced_display_lockstate(const gchar *param1, const gchar *param2, const gchar *param3, gint param4);
void test_deviced_display_stop(void);
void test_deviced_display_start(void);
GVariant * test_deviced_Board_GetNum(void);
gint test_deviced_Board_GetHWRev(void);
GVariant * test_deviced_Board_GetSerial(void);
gint test_deviced_PmQos_MyfilesScroll(gint param1);
gint test_deviced_PmQos_CallLogScroll(gint param1);
gint test_deviced_PmQos_TizenStoreScroll(gint param1);
gint test_deviced_PmQos_ContactScroll(gint param1);
gint test_deviced_PmQos_EmailScroll(gint param1);
gint test_deviced_PmQos_VideoScroll(gint param1);
gint test_deviced_PmQos_FileScroll(gint param1);
gint test_deviced_PmQos_MusicScroll(gint param1);
gint test_deviced_PmQos_UgLaunch(gint param1);
gint test_deviced_PmQos_SensorWakeup(gint param1);
gint test_deviced_PmQos_WebAppFlick(gint param1);
gint test_deviced_PmQos_WebAppDrag(gint param1);
gint test_deviced_PmQos_PowerOff(gint param1);
gint test_deviced_PmQos_WifiThroughput(gint param1, gint param2);
gint test_deviced_PmQos_WebappLaunch(gint param1);
gint test_deviced_PmQos_SVoice(gint param1);
gint test_deviced_PmQos_SmemoZoom(gint param1);
gint test_deviced_PmQos_ScreenMirroring(gint param1);
gint test_deviced_PmQos_ReservedMode(gint param1);
gint test_deviced_PmQos_ProcessCrashed(gint param1);
gint test_deviced_PmQos_PowerSaving(gint param1);
gint test_deviced_PmQos_MusicPlayLcdOn(gint param1);
gint test_deviced_PmQos_MtpSendFile(gint param1);
gint test_deviced_PmQos_LowBattery(gint param1);
gint test_deviced_PmQos_LockScreen(gint param1);
gint test_deviced_PmQos_IMEInput(gint param1);
gint test_deviced_PmQos_ImageViewer(gint param1);
gint test_deviced_PmQos_HomeScreen(gint param1);
gint test_deviced_PmQos_GpuWakeup(gint param1);
gint test_deviced_PmQos_GpuBoost(gint param1);
gint test_deviced_PmQos_GpsSerialCno(gint param1);
gint test_deviced_PmQos_GetDefaultLockTime(void);
gint test_deviced_PmQos_GalleryRotation(gint param1);
gint test_deviced_PmQos_GalleryScroll(gint param1);
gint test_deviced_PmQos_Emergency(gint param1);
gint test_deviced_PmQos_ContactSearch(gint param1);
gint test_deviced_PmQos_CameraSoundAndShot(gint param1);
gint test_deviced_PmQos_CameraRecording(gint param1);
gint test_deviced_PmQos_CameraPreview(gint param1);
gint test_deviced_PmQos_CameraCaptureAtRec(gint param1);
gint test_deviced_PmQos_CameraBurstShot(gint param1);
gint test_deviced_PmQos_CallSound(gint param1);
gint test_deviced_PmQos_BrowserScroll(gint param1);
gint test_deviced_PmQos_BrowserLoading(gint param1);
gint test_deviced_PmQos_BrowserJavaScript(gint param1);
gint test_deviced_PmQos_BrowserDash(gint param1);
gint test_deviced_PmQos_Browser(gint param1);
gint test_deviced_PmQos_BeautyShot(gint param1);
gint test_deviced_PmQos_AppLaunchHome(gint param1);
gint test_deviced_PmQos_AppLaunch(gint param1);

#endif /* __TEST_DBUS_INTERFACE_H__ */
