/*
 * deviced
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* Dbus Interfaces */
#define THERMAL_PATH                   "/Org/Tizen/System/Pass/Monitor/Thermal"
#define THERMAL_INTERFACE              "org.tizen.system.pass.monitor.thermal"
#define THERMAL_METHOD_TEMP_CHANGED    "thermal_scenario"

/* Action types */
#define RELEASE_ACTION                 "ReleaseAction"
#define WARNING_ACTION                 "WarningAction"
#define LIMIT_ACTION                   "LimitAction"
#define SHUTDOWN_ACTION                "ShutdownAction"

/* Dbus Interfaces (THERMAL_PATH, THERMAL_INTERFACE, and THERMAL_METHOD_TEMP_CHANGED)
   and Action Type Strings (RELEASE_ACTION, WARNING_ACTION, etc.)
   can be modified according to the thermal daemons (e.g., PASS and SIOP)

   #define THERMAL_PATH                 "/Org/Tizen/Trm/Siop"
   #define THERMAL_INTERFACE            "org.tizen.trm.siop"
   #define THERMAL_METHOD_TEMP_CHANGED	"ChangedCooldownMode" */

enum cool_down_status_type {
	COOL_DOWN_NONE_INIT,
	COOL_DOWN_RELEASE,
	COOL_DOWN_WARNING_ACTION,
	COOL_DOWN_LIMIT_ACTION,
	COOL_DOWN_SHUT_DOWN,
};
